Page MenuHomeFreeBSD

devel/libclc: Update to 12.0.1
ClosedPublic

Authored by manu on Jul 23 2021, 6:42 PM.

Details

Summary
  • Use llvm releases of libclc
  • Force llvm12 as it is what's used for mesa/clover
  • Use the llvm12 flavor of spirv-llvm-translator
Test Plan

Not tested

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu requested review of this revision.Jul 23 2021, 6:42 PM
manu created this revision.

Moving to libclc from llvm12 needs llvm-spirv ...

llvm-spirv dependency can be dropped:

post-patch:
# Exclude targets depending on llvm-spirv
	@${REINPLACE_CMD} -e '/^[[:space:]]*spirv.*mesa/d' \
		${WRKSRC}/CMakeLists.txt

or after 9b3e3e4b33ca fixed with:

BUILD_DEPENDS+=	llvm-spirv:devel/spirv-llvm-translator
# Can be a relative path e.g., -DLLVM_SPIRV:FILEPATH=llvm-spirv
CMAKE_ARGS+=	-DLLVM_SPIRV:FILEPATH="${LOCALBASE}/bin/llvm-spirv"

Caveat: spirv-llvm-translator currently uses llvm11 because intel-graphics-compiler upstream keeps reverting llvm12 support.

I don't use this port, so not interested in thoroughly reviewing.

devel/libclc/Makefile
24

Either qualify type by adding :FILEPATH then quote the path or use relative path e.g., -DLLVM_CONFIG=llvm-config12. Such style appears to be preferred by devel/cmake maintainer.

After c638dc3a4dc4 libclc >= 12.* will automatically find llvm-spirv without adjusting CMAKE_ARGS if the dependency is installed for the desired LLVM version.

Update to 12.0.1
Use the llvm12 flavor of spirv-llvm-translator

manu retitled this revision from devel/libclc: Update to 11.1.0 to devel/libclc: Update to 12.0.1.Oct 18 2021, 5:44 PM
manu edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Nov 7 2021, 9:01 AM
This revision was automatically updated to reflect the committed changes.